[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TComponent.FreeNotification

Ask the component to notify called when it is being destroyed.

## Declaration

Source position: classesh.inc line 1966

`public procedure TComponent.FreeNotification(`
`AComponent: TComponent`
`);`

## Description

FreeNotification inserts AComponent in the freenotification list. When the component is destroyed, the Notification method is called for all components in the freenotification list.

## See also

Components |  | Indexed list (zero-based) of all owned components.
Notification |  | Called by components that are freed and which received a FreeNotification.
TComponent.RemoveFreeNotification |  | Remove a component from the Free Notification list.